PHP Manual
Prev |  | Next

# imap_set_quota

(PHP 4 >= 4.0.5, PHP 5)

imap_set_quota -- Sets a quota for a given mailbox

## Description

bool imap_set_quota ( resource imap_stream, string quota_root, int quota_limit )

Sets an upper limit quota on a per mailbox basis.

## Parameters

`imap_stream`

  An IMAP stream returned by imap_open().

`quota_root`

  The mailbox to have a quota set. This should follow the IMAP standard format for a mailbox: `user.name`.

`quota_limit`

  The maximum size (in KB) for the `quota_root`

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## Examples

Example 1. imap_set_quota() example

`<?php $mbox = imap_open("{imap.example.org:143}", "mailadmin", "password"); if (!imap_set_quota($mbox, "user.kalowsky", 3000)) { echo "Error in setting quota\n"; return; } imap_close($mbox); ?>`

## Notes

This function is currently only available to users of the c-client2000 or greater library.

The given `imap_stream` must be opened as the mail administrator, other wise this function will fail.

## See Also

imap_open()
imap_get_quota()

Prev | Home | Next
imap_search | Up | imap_setacl